Description

This is the first beta version of Roma Universalis for EUIV v1.14: The Cossacks.

Preview
Roma Universalis vBeta 1 [OUTDATED]
Comments
GeneralAdrian
GeneralAdrian - - 87 comments

Do I need the Cossacks DLC to make this mod work?

Reply Good karma Bad karma+1 vote
AdrianL1996 Author
AdrianL1996 - - 467 comments

It is not required, but it is recommended to have all expansions for Europa Universalis IV to ensure compatibility. The mod should function just fine though =)

Reply Good karma+2 votes
GeneralAdrian
GeneralAdrian - - 87 comments

Then I guess Steam sale just came at the right time! I might buy most of the DLCs.

Must say, this is one of the best looking mods for EU4 I have seen so far!

Reply Good karma Bad karma+2 votes
onur2002
onur2002 - - 8 comments

what is the eu4 version
ı need 1.15

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.